Page MenuHomePhabricator

copies: extract value comparison in the python copy tracing
ClosedPublic

Authored by marmoute on Dec 14 2020, 6:18 AM.

Details

Summary

This mirror what we did in the Rust code. This is useful to prepare rework for
this comparison logic that we will need to handle more advanced chaining cases
(when merges are chained).

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

marmoute created this revision.Dec 14 2020, 6:18 AM
baymax updated this revision to Diff 24254.Dec 14 2020, 9:15 AM

✅ refresh by Heptapod after a successful CI run (🐙 💚)

baymax updated this revision to Diff 24367.Dec 17 2020, 3:53 PM

✅ refresh by Heptapod after a successful CI run (🐙 💚)

pulkit added a subscriber: pulkit.Dec 18 2020, 7:45 AM

This mirror what we did in the Python code

s/Python/Rust (from commit description)

pulkit requested changes to this revision.Dec 18 2020, 7:46 AM
This revision now requires changes to proceed.Dec 18 2020, 7:46 AM
baymax updated this revision to Diff 24389.Dec 18 2020, 8:40 AM

✅ refresh by Heptapod after a successful CI run (🐙 💚)

This mirror what we did in the Python code

s/Python/Rust (from commit description)

Good catch. This is fixed.

baymax edited the summary of this revision. (Show Details)Dec 18 2020, 9:07 AM
baymax updated this revision to Diff 24394.

✅ refresh by Heptapod after a successful CI run (🐙 💚)

pulkit accepted this revision.Dec 18 2020, 2:18 PM
This revision is now accepted and ready to land.Dec 18 2020, 2:18 PM